/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.call.lib;

/**
 * Class VMSCodes has all the return status code for system services and RTL functions.
 * 
 * See VMS documentation for semantics.
 */
public class VMSStatus {
	// SS$ codes
	public static final int SS$_NORMAL = 0x0001;
	public static final int SS$_ACCVIO = 0x000C;
	public static final int SS$_BADPARAM = 0x0014;
	public static final int SS$_EXQUOTA = 0x001C;
	public static final int SS$_NOPRIV = 0x0024;
	public static final int SS$_ABORT = 0x002C;
	public static final int SS$_DUPLNAM = 0x0094;
	public static final int SS$_INSFARG = 0x0114;
	public static final int SS$_INSFMEM = 0x0124;
	public static final int SS$_INSFRAME = 0x012C;
	public static final int SS$_IVADDR = 0x0134;
	public static final int SS$_IVCHAN = 0x013C;
	public static final int SS$_IVDEVNAM = 0x0144;
	public static final int SS$_IVLOGNAM = 0x0154;
	public static final int SS$_IVLOGTAB = 0x015C;
	public static final int SS$_IVTIME = 0x0184;
	// RMS$ codes
	public static final int RMS$_NORMAL = 65537;
	public static final int RMS$_OK_DUP = 98321;
	public static final int RMS$_OK_DEL = 98369;
	public static final int RMS$_OK_RNF = 98377;
	public static final int RMS$_CREATED = 67097;
	public static final int RMS$_SUPERSEDE = 67121;
	public static final int RMS$_FILEPURGED = 67193;
	public static final int RMS$_EOF = 98938;
	public static final int RMS$_FLK = 98954;
	public static final int RMS$_FNF = 98962;
	public static final int RMS$_PRV = 98970;
	public static final int RMS$_RLK = 98986;
	public static final int RMS$_RNF = 98994;
	public static final int RMS$_WLK = 99002;
}
