/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.call.test;

import static org.junit.Assert.*;

import org.junit.Test;

import dk.vajhoej.vms.call.VMSLibrary.Result;
import dk.vajhoej.vms.call.script.LIBRTL_Script;

public class TestLIBRTL_Script extends BaseTest {
	@Test
	public void testGETJPI() {
        try {
        	Result<Integer> ires = LIBRTL_Script.LIB$GETJPI_AsInt("PID", 0);
            assertVMSCall("GETJPI PID 0", ires.getStatus(), ires.getResult());
            int pid = ires.getResult();
            Result<String> sres = LIBRTL_Script.LIB$GETJPI_AsString("PRCNAM", pid);
            assertVMSCall("GETJPI PRCNAM 0", sres.getStatus(), sres.getResult());
        } catch(Exception ex) {
        	fail("Unexpected exception: " + ex);
        }
	}
}
